Subject: [PATCH 10/10] ARM: dts: Fix dm814x pinctrl address and mask

From: [email-masked] (Tony Lindgren)
Date: Tue, 1 Dec 2015 17:22:01 -0800

* Matthijs van Duin <[email-masked]> [151201 17:15]:
> On 2 December 2015 at 01:46, Tony Lindgren <[email-masked]> wrote:
> > Ouch. We should probably have separate PIN_INPUT_3V3 and PIN_OUTPUT_3V3
> > dts macros that ensure that?
> 
> Can't we just keep bit 18 out of the function mask? The bootloader
> should already have made sure all pins have bit 18 set (and bit 19 set
> to correct values after ROM mucked them up, see advisory 2.1.88), so
> all that needs to be done is avoid touching them.

Sounds good to me. And people who really want to override the mask can
do it in the board specifc dts file.

> Are the power savings from disabling unnecessary inputs significant
> enough to spend any headache on it?

Only for some battery powered devices, not in this case for sure.

Regards,.

Tony